GET/loans/{id}

Retrieve

Recovers the loan resource by its id

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Responses

200Retrieve a loan.
object

Response with information related to a loan

idrequiredstring

Primary identifier

itemIdrequiredstring (uuid)

Identifier of the item linked to the loan

contractNumberstring

Contract number given by the contracting institution

ipocCodestring

Standard contract number - IPOC (Identificação Padronizada da Operação de Crédito)

productNamerequiredstring

Denomination/Identification of the name of the credit operation disclosed to the customer

typestring

Loan type (https://openbanking-brasil.github.io/openapi/swagger-apis/loans/?urls.primaryName=2.0.1#model-EnumContractProductSubTypeLoans)

kindrequiredstring

Credit-operation family this contract belongs to.

LOANFINANCINGINVOICE_FINANCINGUNARRANGED_ACCOUNT_OVERDRAFT
daterequiredstring (date-time)

Date when the loan data was collected

contractDatestring (date-time)

Date when the loan was contracted

disbursementDatesstring[]

Disbursement date of the contracted amount

itemsstring (date)
settlementDatestring (date-time)

Loan settlement date

contractAmountnumber

Loan contracted value

currencyCoderequiredstring

Code referencing the currency of the loan

dueDatestring (date-time)

Loan due date

installmentPeriodicitystring

Installments regular frequency

WITHOUT_REGULAR_PERIODICITYWEEKLYFORTNIGHTLYMONTHLYBIMONTHLYQUARTERLYSEMESTERLYYEARLYOTHERS
installmentPeriodicityAdditionalInfostring

Mandatory field to complement the information regarding the regular payment frequency when installmentPeriodicity has value 'OTHERS'

firstInstallmentDueDatestring (date-time)

First installment due date

CETnumber

CET - Custo Efetivo Total must be expressed as an annual percentage rate and incorporates all charges and expenses incurred in credit operations (interest rate, but also tariffs, taxes, insurance and other expenses charged)

amortizationScheduledstring

Amortization system (https://openbanking-brasil.github.io/openapi/swagger-apis/loans/?urls.primaryName=2.0.1#model-EnumContractAmortizationScheduled)

SACPRICESAMWITHOUT_AMORTIZATION_SYSTEMOTHERS
amortizationScheduledAdditionalInfostring

Mandatory field to complement the information regarding the scheduled amortization when it has value 'OTHERS'

cnpjConsigneestring

Consignor CNPJ

interestRatesobject[]
itemsobject

Object that brings the set of information necessary to demonstrate the composition of the remunerative interest rates of the Credit Type

contractedFeesobject[]

List that brings the information of the tariffs agreed in the contract.

itemsobject
contractedFinanceChargesobject[]

List that brings the charges agreed in the contract

itemsobject
warrantiesobject[]
itemsobject
installmentsobject
typeNumberOfInstallmentsstring

Type of total term of the contract referring to the type of credit informed

DAYWEEKMONTHYEARWITHOUT_TOTAL_PERIOD
totalNumberOfInstallmentsnumber

Total term according to the type referring to the type of credit informed

typeContractRemainingstring

Type of remaining term of the contract referring to the type of credit informed

DAYWEEKMONTHYEARWITHOUT_TOTAL_PERIODWITHOUT_REMAINING_PERIOD
contractRemainingNumbernumber

Remaining term according to the type referring to the credit type informed

paidInstallmentsnumber

Number of paid installments

dueInstallmentsnumber

Number of due installments

pastDueInstallmentsnumber

Number of overdue installments

balloonPaymentsobject[]

List that brings the due dates and value of the non-regular installments of the contract of the type of credit consulted

paymentsobject

Loan contract payment data

All of:
part 1object

Example response

json
{}

Code Examples

bash
curl -X GET 'https://api.pluggy.ai/loans/{id}' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY'

Try It

Path Parameters